package org.iphsoft.simon1;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Build;
import android.os.Bundle;
import android.text.InputType;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.EditText;
import android.widget.TextView;

import com.mojotouch.R;

import org.iphsoft.simon1.ui.ActivityAnimationUtil;
import org.iphsoft.simon1.util.ImmersiveModeHelper;

public class T7GTranslucentDialogActivity extends Activity {

	public static final String EXTRA_MESSAGE = "org.iphsoft.simon1.ui.DialogActivity.EXTRA_MESSAGE";
	public static final String EXTRA_POSITIVE_BUTTON = "org.iphsoft.simon1.ui.DialogActivity.EXTRA_POSITIVE_BUTTON";
	public static final String EXTRA_NEGATIVE_BUTTON = "org.iphsoft.simon1.ui.DialogActivity.EXTRA_NEGATIVE_BUTTON";
	public static final String EXTRA_SHOW_INPUT = "org.iphsoft.simon1.ui.DialogActivity.EXTRA_SHOW_INPUT";

	public static final String EXTRA_RESULT_INPUT = "org.iphsoft.simon1.ui.DialogActivity.EXTRA_RESULT_INPUT";

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		
		 //Android Oreo (API 26) fix bug orientation
	    if (android.os.Build.VERSION.SDK_INT < Build.VERSION_CODES.O) {
	        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_SENSOR_LANDSCAPE);
	    }

		mImmersiveModeHelper = new ImmersiveModeHelper(this);

		setContentView(R.layout.translucent_dialog_activity);

		Intent intent = getIntent();
		int messageResId = intent.getIntExtra(EXTRA_MESSAGE, 0);
		int positiveButtonResId = intent.getIntExtra(EXTRA_POSITIVE_BUTTON, 0);
		int negativeButtonResId = intent.getIntExtra(EXTRA_NEGATIVE_BUTTON, 0);
		final boolean showInput = intent.getBooleanExtra(EXTRA_SHOW_INPUT, false);

		TextView txtTitle = (TextView) findViewById(R.id.txtTitle);
		TextView btnPositive = (TextView) findViewById(R.id.btnPositive);
		TextView btnNegative = (TextView) findViewById(R.id.btnNegative);

		if (messageResId != 0)
		{
			txtTitle.setText(messageResId);
		}

		final EditText etInput = (EditText) findViewById(R.id.etInput);
		if (showInput)
		{
			etInput.setInputType(InputType.TYPE_CLASS_TEXT | InputType.TYPE_TEXT_FLAG_CAP_SENTENCES
					| InputType.TYPE_TEXT_FLAG_MULTI_LINE
					| InputType.TYPE_TEXT_VARIATION_LONG_MESSAGE);
			etInput.setSingleLine(false);
			etInput.setLines(3);
		} else
		{
			etInput.setVisibility(View.GONE);
		}

		if (positiveButtonResId != 0)
		{
			btnPositive.setText(positiveButtonResId);
			btnPositive.setOnClickListener(new OnClickListener()
			{

				@Override
				public void onClick(View v)
				{
					String input;
					if (showInput)
					{
						input = etInput.getText().toString();
					} else
					{
						input = "";
					}

					Intent result = new Intent().putExtra(EXTRA_RESULT_INPUT, input);
					setResult(RESULT_OK, result);

					finish();
					ActivityAnimationUtil
							.makeActivityFadeTransition(T7GTranslucentDialogActivity.this);
				}
			});
		}
		else
		{
			btnPositive.setVisibility(View.GONE);
			findViewById(R.id.fillerView1).setVisibility(View.GONE);
		}

		if (negativeButtonResId != 0)
		{
			btnNegative.setText(negativeButtonResId);
			btnNegative.setOnClickListener(new OnClickListener()
			{

				@Override
				public void onClick(View v)
				{
					setResult(RESULT_CANCELED);
					finish();
					ActivityAnimationUtil
							.makeActivityFadeTransition(T7GTranslucentDialogActivity.this);
				}
			});
		}
		else
		{
			btnNegative.setVisibility(View.GONE);
			findViewById(R.id.fillerView1).setVisibility(View.GONE);
		}
	}

	@Override
	protected void onResume()
	{
		super.onResume();

		mImmersiveModeHelper.supportFullScreenImmersiveMode();
	}

	@Override
	public void onBackPressed()
	{
		super.onBackPressed();

		ActivityAnimationUtil.makeActivityFadeTransition(this);
	}

	private ImmersiveModeHelper mImmersiveModeHelper;
}
