package org.iphsoft.simon1.util;

import org.iphsoft.simon1.AndroidPortAdditions;

import android.util.Log;

/**
 * Wrapper for the system logger
 * 
 * @author omergilad
 * 
 */
public class MyLog {

	public static void v(String msg)
	{
		if (!AndroidPortAdditions.RELEASE_VERSION)
			Log.v(TAG, msg);
	}

	public static void d(String msg)
	{
		if (!AndroidPortAdditions.RELEASE_VERSION)
			Log.d(TAG, msg);
	}

	public static void i(String msg)
	{
		// TODO
		Log.i(TAG, msg);
	}

	public static void w(String msg)
	{
		Log.w(TAG, msg);
	}

	public static void e(String msg)
	{
		Log.e(TAG, msg);
	}

	private static String TAG;
	static
	{
		switch (AndroidPortAdditions.GAME_TYPE)
		{
		case SIMON1:
			TAG = "Simon";
			break;
		case SIMON2:
			TAG = "Simon2";
			break;
		case T7G:
			TAG = "T7G";
			break;
		case FOTAQ:
			TAG = "FOTAQ";
			break;
		case IHNM:
			TAG = "IHNM";
			break;
		}
	}
}
